#define TUTOR_MOVE_MEGA_PUNCH 0
#define TUTOR_MOVE_SWORDS_DANCE 1
#define TUTOR_MOVE_MEGA_KICK 2
#define TUTOR_MOVE_BODY_SLAM 3
#define TUTOR_MOVE_DOUBLE_EDGE 4
#define TUTOR_MOVE_COUNTER 5
#define TUTOR_MOVE_SEISMIC_TOSS 6
#define TUTOR_MOVE_MIMIC 7
#define TUTOR_MOVE_METRONOME 8
#define TUTOR_MOVE_SOFT_BOILED 9
#define TUTOR_MOVE_DREAM_EATER 10
#define TUTOR_MOVE_THUNDER_WAVE 11
#define TUTOR_MOVE_EXPLOSION 12
#define TUTOR_MOVE_ROCK_SLIDE 13
#define TUTOR_MOVE_SUBSTITUTE 14
#define TUTOR_MOVE_DYNAMIC_PUNCH 15
#define TUTOR_MOVE_ROLLOUT 16
#define TUTOR_MOVE_PSYCH_UP 17
#define TUTOR_MOVE_SNORE 18
#define TUTOR_MOVE_ICY_WIND 19
#define TUTOR_MOVE_ENDURE 20
#define TUTOR_MOVE_MUD_SLAP 21
#define TUTOR_MOVE_ICE_PUNCH 22
#define TUTOR_MOVE_SWAGGER 23
#define TUTOR_MOVE_SLEEP_TALK 24
#define TUTOR_MOVE_SWIFT 25
#define TUTOR_MOVE_DEFENSE_CURL 26
#define TUTOR_MOVE_THUNDER_PUNCH 27
#define TUTOR_MOVE_FIRE_PUNCH 28
#define TUTOR_MOVE_FURY_CUTTER 29

const u16 gTutorMoves[] =
{
    [TUTOR_MOVE_MEGA_PUNCH] = MOVE_MEGA_PUNCH,
    [TUTOR_MOVE_SWORDS_DANCE] = MOVE_SWORDS_DANCE,
    [TUTOR_MOVE_MEGA_KICK] = MOVE_MEGA_KICK,
    [TUTOR_MOVE_BODY_SLAM] = MOVE_BODY_SLAM,
    [TUTOR_MOVE_DOUBLE_EDGE] = MOVE_DOUBLE_EDGE,
    [TUTOR_MOVE_COUNTER] = MOVE_COUNTER,
    [TUTOR_MOVE_SEISMIC_TOSS] = MOVE_SEISMIC_TOSS,
    [TUTOR_MOVE_MIMIC] = MOVE_MIMIC,
    [TUTOR_MOVE_METRONOME] = MOVE_METRONOME,
    [TUTOR_MOVE_SOFT_BOILED] = MOVE_SOFT_BOILED,
    [TUTOR_MOVE_DREAM_EATER] = MOVE_DREAM_EATER,
    [TUTOR_MOVE_THUNDER_WAVE] = MOVE_THUNDER_WAVE,
    [TUTOR_MOVE_EXPLOSION] = MOVE_EXPLOSION,
    [TUTOR_MOVE_ROCK_SLIDE] = MOVE_ROCK_SLIDE,
    [TUTOR_MOVE_SUBSTITUTE] = MOVE_SUBSTITUTE,
    [TUTOR_MOVE_DYNAMIC_PUNCH] = MOVE_DYNAMIC_PUNCH,
    [TUTOR_MOVE_ROLLOUT] = MOVE_ROLLOUT,
    [TUTOR_MOVE_PSYCH_UP] = MOVE_PSYCH_UP,
    [TUTOR_MOVE_SNORE] = MOVE_SNORE,
    [TUTOR_MOVE_ICY_WIND] = MOVE_ICY_WIND,
    [TUTOR_MOVE_ENDURE] = MOVE_ENDURE,
    [TUTOR_MOVE_MUD_SLAP] = MOVE_MUD_SLAP,
    [TUTOR_MOVE_ICE_PUNCH] = MOVE_ICE_PUNCH,
    [TUTOR_MOVE_SWAGGER] = MOVE_SWAGGER,
    [TUTOR_MOVE_SLEEP_TALK] = MOVE_SLEEP_TALK,
    [TUTOR_MOVE_SWIFT] = MOVE_SWIFT,
    [TUTOR_MOVE_DEFENSE_CURL] = MOVE_DEFENSE_CURL,
    [TUTOR_MOVE_THUNDER_PUNCH] = MOVE_THUNDER_PUNCH,
    [TUTOR_MOVE_FIRE_PUNCH] = MOVE_FIRE_PUNCH,
    [TUTOR_MOVE_FURY_CUTTER] = MOVE_FURY_CUTTER,
};

#define TUTOR_LEARNSET(moves) ((u32)(moves))
#define TUTOR(move) ((u64)1 << (TUTOR_##move))

static const u32 sTutorLearnsets[] =
{
    [SPECIES_NONE]             = TUTOR_LEARNSET(0),

    [SPECIES_BULBASAUR]        = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_IVYSAUR]          = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_VENUSAUR]         = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_CHARMANDER]       = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_CHARMELEON]       = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_CHARIZARD]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SQUIRTLE]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_WARTORTLE]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_BLASTOISE]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_CATERPIE]         = TUTOR_LEARNSET(0),

    [SPECIES_METAPOD]          = TUTOR_LEARNSET(0),

    [SPECIES_BUTTERFREE]       = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_WEEDLE]           = TUTOR_LEARNSET(0),

    [SPECIES_KAKUNA]           = TUTOR_LEARNSET(0),

    [SPECIES_BEEDRILL]         = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_PIDGEY]           = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_PIDGEOTTO]        = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_PIDGEOT]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_RATTATA]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_RATICATE]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_SPEAROW]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_FEAROW]           = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_EKANS]            = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_ARBOK]            = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_PIKACHU]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)),

    [SPECIES_RAICHU]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)),

    [SPECIES_SANDSHREW]        = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SANDSLASH]        = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_NIDORAN_F]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_NIDORINA]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_NIDOQUEEN]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_NIDORAN_M]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_NIDORINO]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_NIDOKING]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_CLEFAIRY]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_SOFT_BOILED)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_CLEFABLE]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_SOFT_BOILED)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_VULPIX]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_NINETALES]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_JIGGLYPUFF]       = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_WIGGLYTUFF]       = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_ZUBAT]            = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_GOLBAT]           = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_ODDISH]           = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_GLOOM]            = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_VILEPLUME]        = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_PARAS]            = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_PARASECT]         = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_VENONAT]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_VENOMOTH]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_DIGLETT]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_DUGTRIO]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_MEOWTH]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_PERSIAN]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_PSYDUCK]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_GOLDUCK]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_MANKEY]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_PRIMEAPE]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_GROWLITHE]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_ARCANINE]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_POLIWAG]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_POLIWHIRL]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_POLIWRATH]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_ABRA]             = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_KADABRA]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_ALAKAZAM]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_MACHOP]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_MACHOKE]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_MACHAMP]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_BELLSPROUT]       = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_WEEPINBELL]       = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_VICTREEBEL]       = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_TENTACOOL]        = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_TENTACRUEL]       = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_GEODUDE]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_GRAVELER]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_GOLEM]            = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_PONYTA]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_RAPIDASH]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_SLOWPOKE]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_SLOWBRO]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_MAGNEMITE]        = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_MAGNETON]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_FARFETCHD]        = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_DODUO]            = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_DODRIO]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_SEEL]             = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_DEWGONG]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_GRIMER]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_MUK]              = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_SHELLDER]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_CLOYSTER]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_GASTLY]           = TUTOR_LEARNSET(TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_HAUNTER]          = TUTOR_LEARNSET(TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_GENGAR]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_ONIX]             = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_DROWZEE]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_HYPNO]            = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_KRABBY]           = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_KINGLER]          = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_VOLTORB]          = TUTOR_LEARNSET(TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_ELECTRODE]        = TUTOR_LEARNSET(TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_EXEGGCUTE]        = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_EXEGGUTOR]        = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_CUBONE]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_MAROWAK]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_HITMONLEE]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_HITMONCHAN]       = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_LICKITUNG]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_KOFFING]          = TUTOR_LEARNSET(TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_WEEZING]          = TUTOR_LEARNSET(TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_RHYHORN]          = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_RHYDON]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_CHANSEY]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_SOFT_BOILED)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_TANGELA]          = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_KANGASKHAN]       = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_HORSEA]           = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_SEADRA]           = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_GOLDEEN]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_SEAKING]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_STARYU]           = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_STARMIE]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_MR_MIME]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_SCYTHER]          = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_JYNX]             = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_ELECTABUZZ]       = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_MAGMAR]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_PINSIR]           = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_TAUROS]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_MAGIKARP]         = TUTOR_LEARNSET(0),

    [SPECIES_GYARADOS]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_LAPRAS]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_DITTO]            = TUTOR_LEARNSET(0),

    [SPECIES_EEVEE]            = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_VAPOREON]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_JOLTEON]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_FLAREON]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_PORYGON]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_OMANYTE]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_OMASTAR]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_KABUTO]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_KABUTOPS]         = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_AERODACTYL]       = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_SNORLAX]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_ARTICUNO]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_ZAPDOS]           = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_MOLTRES]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_DRATINI]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_DRAGONAIR]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_DRAGONITE]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_MEWTWO]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_MEW]              = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_SOFT_BOILED)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_CHIKORITA]        = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_BAYLEEF]          = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_MEGANIUM]         = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_CYNDAQUIL]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_QUILAVA]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_TYPHLOSION]       = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_TOTODILE]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_CROCONAW]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_FERALIGATR]       = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SENTRET]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_FURRET]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_HOOTHOOT]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_NOCTOWL]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_LEDYBA]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)),

    [SPECIES_LEDIAN]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)),

    [SPECIES_SPINARAK]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_ARIADOS]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_CROBAT]           = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_CHINCHOU]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_LANTURN]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_PICHU]            = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_CLEFFA]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_SOFT_BOILED)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_IGGLYBUFF]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_TOGEPI]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_SOFT_BOILED)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_TOGETIC]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_SOFT_BOILED)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_NATU]             = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_XATU]             = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_MAREEP]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_FLAAFFY]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_AMPHAROS]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_BELLOSSOM]        = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_MARILL]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_AZUMARILL]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_SUDOWOODO]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_POLITOED]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_HOPPIP]           = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_SKIPLOOM]         = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_JUMPLUFF]         = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_AIPOM]            = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SUNKERN]          = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_SUNFLORA]         = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_YANMA]            = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_WOOPER]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_QUAGSIRE]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_ESPEON]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_UMBREON]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_MURKROW]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_SLOWKING]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_MISDREAVUS]       = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_UNOWN]            = TUTOR_LEARNSET(0),

    [SPECIES_WOBBUFFET]        = TUTOR_LEARNSET(0),

    [SPECIES_GIRAFARIG]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_PINECO]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_FORRETRESS]       = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_DUNSPARCE]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_GLIGAR]           = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_STEELIX]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_SNUBBULL]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_GRANBULL]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_QWILFISH]         = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_SCIZOR]           = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SHUCKLE]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_HERACROSS]        = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SNEASEL]          = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_TEDDIURSA]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_URSARING]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SLUGMA]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_MAGCARGO]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_SWINUB]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_PILOSWINE]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_CORSOLA]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_REMORAID]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_OCTILLERY]        = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_DELIBIRD]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_MANTINE]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_SKARMORY]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_HOUNDOUR]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_HOUNDOOM]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_KINGDRA]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_PHANPY]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_DONPHAN]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_PORYGON2]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_STANTLER]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_SMEARGLE]         = TUTOR_LEARNSET(0),

    [SPECIES_TYROGUE]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_HITMONTOP]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_SMOOCHUM]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_ELEKID]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_MAGBY]            = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_MILTANK]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_BLISSEY]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_SOFT_BOILED)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_RAIKOU]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_ENTEI]            = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_SUICUNE]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_LARVITAR]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_PUPITAR]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_TYRANITAR]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_LUGIA]            = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_HO_OH]            = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_CELEBI]           = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_TREECKO]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_GROVYLE]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SCEPTILE]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_TORCHIC]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_COMBUSKEN]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_BLAZIKEN]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_MUDKIP]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_MARSHTOMP]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_SWAMPERT]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_POOCHYENA]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_MIGHTYENA]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_ZIGZAGOON]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_LINOONE]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_WURMPLE]          = TUTOR_LEARNSET(0),

    [SPECIES_SILCOON]          = TUTOR_LEARNSET(0),

    [SPECIES_BEAUTIFLY]        = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_CASCOON]          = TUTOR_LEARNSET(0),

    [SPECIES_DUSTOX]           = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_LOTAD]            = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_LOMBRE]           = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_LUDICOLO]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_SEEDOT]           = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_NUZLEAF]          = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SHIFTRY]          = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_NINCADA]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_NINJASK]          = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SHEDINJA]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_TAILLOW]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_SWELLOW]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_SHROOMISH]        = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_BRELOOM]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SPINDA]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_WINGULL]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_PELIPPER]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_SURSKIT]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_MASQUERAIN]       = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_WAILMER]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_WAILORD]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_SKITTY]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_DELCATTY]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_KECLEON]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_BALTOY]           = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_CLAYDOL]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_NOSEPASS]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_TORKOAL]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_SABLEYE]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_BARBOACH]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_WHISCASH]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_LUVDISC]          = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_CORPHISH]         = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_CRAWDAUNT]        = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_FEEBAS]           = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_MILOTIC]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_CARVANHA]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SHARPEDO]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_TRAPINCH]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_VIBRAVA]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_FLYGON]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_MAKUHITA]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_HARIYAMA]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_ELECTRIKE]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_MANECTRIC]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_NUMEL]            = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_CAMERUPT]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_SPHEAL]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_SEALEO]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_WALREIN]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_CACNEA]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_CACTURNE]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SNORUNT]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_GLALIE]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_LUNATONE]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_SOLROCK]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_AZURILL]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_SPOINK]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_GRUMPIG]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_PLUSLE]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)),

    [SPECIES_MINUN]            = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)),

    [SPECIES_MAWILE]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)),

    [SPECIES_MEDITITE]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_MEDICHAM]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_SWABLU]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_ALTARIA]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_WYNAUT]           = TUTOR_LEARNSET(0),

    [SPECIES_DUSKULL]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_DUSCLOPS]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_ROSELIA]          = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SLAKOTH]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_VIGOROTH]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SLAKING]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_GULPIN]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_SWALOT]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_TROPIUS]          = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_WHISMUR]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_LOUDRED]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_EXPLOUD]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_CLAMPERL]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_HUNTAIL]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_GOREBYSS]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)),

    [SPECIES_ABSOL]            = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SHUPPET]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_BANETTE]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_SEVIPER]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_ZANGOOSE]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_RELICANTH]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_ARON]             = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_LAIRON]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_AGGRON]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_CASTFORM]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_VOLBEAT]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)),

    [SPECIES_ILLUMISE]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)),

    [SPECIES_LILEEP]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_CRADILY]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)),

    [SPECIES_ANORITH]          = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_ARMALDO]          = TUTOR_LEARNSET(TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_RALTS]            = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_KIRLIA]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_GARDEVOIR]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_BAGON]            = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SHELGON]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_SALAMENCE]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_BELDUM]           = TUTOR_LEARNSET(0),

    [SPECIES_METANG]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_METAGROSS]        = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_REGIROCK]         = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_REGICE]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)),

    [SPECIES_REGISTEEL]        = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_EXPLOSION)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)),

    [SPECIES_KYOGRE]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

    [SPECIES_GROUDON]          = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_SWORDS_DANCE)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_RAYQUAZA]         = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_LATIAS]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_LATIOS]           = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_FURY_CUTTER)),

    [SPECIES_JIRACHI]          = TUTOR_LEARNSET(TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_METRONOME)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_DEFENSE_CURL)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_DEOXYS]           = TUTOR_LEARNSET(TUTOR(MOVE_MEGA_PUNCH)
                                              | TUTOR(MOVE_MEGA_KICK)
                                              | TUTOR(MOVE_BODY_SLAM)
                                              | TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_COUNTER)
                                              | TUTOR(MOVE_SEISMIC_TOSS)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_THUNDER_WAVE)
                                              | TUTOR(MOVE_ROCK_SLIDE)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_DYNAMIC_PUNCH)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_MUD_SLAP)
                                              | TUTOR(MOVE_ICE_PUNCH)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_SWIFT)
                                              | TUTOR(MOVE_THUNDER_PUNCH)
                                              | TUTOR(MOVE_FIRE_PUNCH)),

    [SPECIES_CHIMECHO]         = TUTOR_LEARNSET(TUTOR(MOVE_DOUBLE_EDGE)
                                              | TUTOR(MOVE_MIMIC)
                                              | TUTOR(MOVE_DREAM_EATER)
                                              | TUTOR(MOVE_SUBSTITUTE)
                                              | TUTOR(MOVE_ROLLOUT)
                                              | TUTOR(MOVE_PSYCH_UP)
                                              | TUTOR(MOVE_SNORE)
                                              | TUTOR(MOVE_ICY_WIND)
                                              | TUTOR(MOVE_ENDURE)
                                              | TUTOR(MOVE_SWAGGER)
                                              | TUTOR(MOVE_SLEEP_TALK)
                                              | TUTOR(MOVE_DEFENSE_CURL)),

};

